Package: org.grails.plugins.web.async

## [Groovy] Class GrailsAsyncContext

- org.grails.plugins.web.async.GrailsAsyncContext

- All Implemented Interfaces and Traits:
    javax.servlet.AsyncContext

      class GrailsAsyncContext

  Wraps an AsyncContext providing additional logic to provide the appropriate context to a Grails application.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AsyncGrailsWebRequest` | `asyncGrailsWebRequest`
    `javax.servlet.AsyncContext` | `delegate`
    `GroovyPageLayoutFinder` | `groovyPageLayoutFinder`
    `GrailsWebRequest` | `originalWebRequest`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAsyncContext (javax.servlet.AsyncContext delegate, GrailsWebRequest webRequest, AsyncGrailsWebRequest asyncGrailsWebRequest = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `complete()`
    `<T extends AsyncListener>` | `T` | `createListener(java.lang.Class<T> tClass)`
    `` | `protected java.util.Collection<PersistenceContextInterceptor>` | `getPersistenceInterceptors(GrailsWebRequest webRequest)`
    `` | `void` | `start(java.lang.Runnable runnable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final AsyncGrailsWebRequest asyncGrailsWebRequest

    - #### @groovy.lang.Delegate final javax.servlet.AsyncContext delegate

    - #### final GroovyPageLayoutFinder groovyPageLayoutFinder

    - #### final GrailsWebRequest originalWebRequest

  - ### Constructor Detail

    - #### GrailsAsyncContext(javax.servlet.AsyncContext delegate, GrailsWebRequest webRequest, AsyncGrailsWebRequest asyncGrailsWebRequest = null)

  - ### Method Detail

    - #### void complete()

    - #### <T extends AsyncListener> T createListener(java.lang.Class<T> tClass)

    - #### protected java.util.Collection<PersistenceContextInterceptor> getPersistenceInterceptors(GrailsWebRequest webRequest)

    - #### void start(java.lang.Runnable runnable)